<?php

namespace Dterumal\LaravelCluster\Console;

use Illuminate\Console\Command;

class PublishCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'laravel-cluster:publish';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Publish all of the LaravelCluster resources';

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle()
    {
        $this->call('vendor:publish', [
            '--tag' => 'laravel-cluster-assets',
            '--force' => true,
        ]);
    }
}
